/**
 * 角色管理的单例
 */
var MedicalCommunity = {
    id: "medicalCommunityTable", //表格id
    seItem: null, //选中的条目
    table: null,
    layerIndex: -1
};

/**
 * 初始化表格的列
 */
MedicalCommunity.initColumn = function () {
    var columns = [
        {field: 'selectItem', radio: true},
        {title: 'id', field: 'id', visible: false, align: 'center', valign: 'middle'},
        {title: '医共体名称', field: 'name', align: 'center', valign: 'middle', sortable: true},
        {title: '备注', field: 'description', align: 'center', valign: 'middle', sortable: true},
        {title: '排序', field: 'num', align: 'center', valign: 'middle', sortable: true},
        {title: '状态', field: 'status', align: 'center', valign: 'middle', sortable: true,
            formatter: function (value) {
                if (value == 1) {
                    return "正常";
                }
                return "停用";
            }
        }
    ]
    return columns;
};


/**
 * 检查是否选中
 */
MedicalCommunity.check = function () {
    var selected = $('#' + this.id).bootstrapTable('getSelections');
    if (selected.length == 0) {
        Feng.info("请先选中表格中的某一记录！");
        return false;
    } else {
        MedicalCommunity.seItem = selected[0];
        return true;
    }
};

/**
 * 点击添加菜单
 */
MedicalCommunity.openAddCommunity = function () {
    var index = layer.open({
        type: 2,
        title: '添加医共体',
        area: ['830px', '450px'], //宽高
        fix: false, //不固定
        maxmin: true,
        content: Feng.ctxPath + '/admin/nhc.medical_community/add'
    });
    this.layerIndex = index;
};

/**
 * 点击修改
 */
MedicalCommunity.openChangeCommunity = function () {
    if (this.check()) {
        var index = layer.open({
            type: 2,
            title: '修改医共体',
            area: ['800px', '450px'], //宽高
            fix: false, //不固定
            maxmin: true,
            content: Feng.ctxPath + '/admin/nhc.medical_community/edit/id/' + this.seItem.id
        });
        this.layerIndex = index;
    }
};

/**
 * 删除
 */
MedicalCommunity.delCommunity = function () {
    if (this.check()) {

        var operation = function () {
            var ajax = new $ax(Feng.ctxPath + "/admin/nhc.medical_community/delete", function (data) {
                Feng.success("删除成功!");
                MedicalCommunity.table.refresh();
            }, function (data) {
                Feng.error("删除失败!" + data.responseJSON.message + "!");
            });
            ajax.set("id", MedicalCommunity.seItem.id);
            ajax.start();
        };

        Feng.confirm("是否刪除该医共体?", operation);
    }
};

/**
 * 搜索
 */
MedicalCommunity.search = function () {
    var queryData = {};

    queryData['name'] = $("#name").val();

    MedicalCommunity.table.refresh({query: queryData});
}
/**
 * 重置
 */
MedicalCommunity.reset = function () {
    $("#name").val("");
}

$(function () {
    var defaultColunms = MedicalCommunity.initColumn();
    var table = new BSTable(MedicalCommunity.id, "/admin/nhc.medical_community/list", defaultColunms);
    table.init();
    MedicalCommunity.table = table;
});
